package xyz.stachel.bonzotimer;

import org.apache.logging.log4j.Logger;

import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;

@Mod(modid = "bonzo-timer", useMetadata=true)
public class BonzoTimer {
  private static BonzoTimer instance;
  private Logger logger;

  public BonzoTimer() {
    instance = this;
  }

  public static BonzoTimer getInstance() {
    return BonzoTimer.instance;
  }


  @Mod.EventHandler
  public void preInit(FMLPreInitializationEvent event) {
    this.logger = event.getModLog();
  }

  @Mod.EventHandler
  public void init(FMLInitializationEvent event) {
    MinecraftForge.EVENT_BUS.register(new ChatHandler());
    MinecraftForge.EVENT_BUS.register(new RenderGameOverlayHandler());
  }

  public Logger getLogger() {
    return this.logger;
  }
}
